<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta charset="utf-8">
        <title>Farming-Simulator 2013 Live Map</title>
        <link rel="shortcut icon" href="Style/symbol.ico" />
        <?php
        if(isset($_GET['reload']) && $_GET['reload'] == "true")
        {
            echo '<META HTTP-EQUIV="refresh" CONTENT="8">';
        }
        $JSZoom = 1;
        if(isset($_GET['zoom']) && is_numeric($_GET['zoom'])) {
            $JSZoom = basename($_GET['zoom']);
        }
        ?>
        
        <script type="text/javascript" src="Style/BubbleTooltips.js"></script>
        <script type="text/javascript">window.onload=function(){enableTooltips(null,'a')};</script> 
        <?php   
            error_reporting(0);
            require("include.php");
            require("config.php");
            if(isset($_GET['zoom']) && is_numeric($_GET['zoom'])) {
                $zoom = basename($_GET['zoom']);
                if($zoom > 5) {
                    $zoom = 5;
                }
                if(($HeightAndWidth*$zoom) < 405) {
                    $zoom = (405/$HeightAndWidth);
                }
                $HeightAndWidth = ($HeightAndWidth*$zoom);
            }
            if($HeightAndWidth < 405) {
                $HeightAndWidth = 405;
            }
            $width=$HeightAndWidth;
            $height=$HeightAndWidth;
            $xx = ($width/2048);
            $yy = ($height/2048);
        ?>
        <script type="text/javascript">
            function openSettings(url) {
             fenster = window.open("settings.html", "Farming-Simulator 2013 Live Map Einstellungen", "width=400,height=165,resizable=yes");
             fenster.focus();
             return false;
            }
            function updateGET(){
                window.$_GET = new Array();
                var b = window.location.search.substring(1).split('?');
                if(b.length > 0) {
                    var s = String(b).split('&');
                    if(!s.length) return;
                    var c = {};
                    for(var i  = 0; i < s.length; i++)  
                    {
                        var parts = s[i].split('=');
                        window.$_GET[parts[0]] = parts[1];
                    }
                }
            }
            
            function ZoomIn() {
                var zoom = <?php echo $JSZoom; ?>;
                zoom = (zoom + 0.2);
                if((zoom < 5) && (zoom != 5)) {
                    updateGET();
                    var zusatz = "";
                    if($_GET['reload'] == "true")
                    {
                        zusatz = "&reload=true";
                    }
                    if($_GET['state'] != undefined)
                    {
                        zusatz = zusatz + "&state="+$_GET['state'];
                    }
                    window.location.href='index.php?zoom=' + zoom + "" + zusatz;
                } else {
                    zoom = 5;
                    updateGET();
                    var zusatz = "";
                    if($_GET['reload'] == "true")
                    {
                        zusatz = "&reload=true";
                    }
                    if($_GET['state'] != undefined)
                    {
                        zusatz = zusatz + "&state="+$_GET['state'];
                    }
                    window.location.href='index.php?zoom=' + zoom + "" + zusatz;
                }
            }
            
            function ZoomOut() {
                var zoom = <?php echo $JSZoom; ?>;
                var Height = <?php echo $HeightAndWidth; ?>;
                zoom = (zoom - 0.2);
                if(((Height*zoom) > 405) && ((Height*zoom) != 405)) {
                    updateGET();
                    var zusatz = "";
                    if($_GET['reload'] == "true")
                    {
                        zusatz = "&reload=true";
                    }
                    if($_GET['state'] != undefined)
                    {
                        zusatz = zusatz + "&state="+$_GET['state'];
                    }
                    window.location.href='index.php?zoom=' + zoom + "" + zusatz;
                }
            }
        </script>
        <style type="text/css">
        <!--
            #Karte 
            {
                position:absolute;
                left:0px;
                top:0px;
                background-image: url(Style/Map.png);
                width:<?php echo $width; ?>px;
                height:<?php echo $height; ?>px;
                background-size:100%;
            }
            *.Marker 
            {
                position:absolute; 
                background-color:#ff0000;
                width:14px;
                height:14px;
                background: url(Style/Icons/Y.png) no-repeat bottom;
            }
            #Copyright 
            {
                font: 15px arial,helvetica,sans-serif;
                color: #ffffff;
                text-align: center;
                margin-top:<?php echo ($HeightAndWidth-50); ?>px;
            }
            .tooltip {
                font: 11px arial,helvetica,sans-serif;
                color: #000066;
                text-align: left;
                text-decoration: none;
                width: 200px;
            }
            .tooltip b.bottom {
                background: url(Style/bt.gif) no-repeat bottom;
                padding: 3px 8px 6px;
            }
            .tooltip span.top {
                background: url(Style/bt.gif) no-repeat top;
                padding: 30px 8px 0;
            }
        -->
        </style>
    </head>
    <body style="background:#555;overflow:scroll;">
        <div id="Karte" style="margin-left:auto;margin-right:auto;">
            <?php
                if($UseSecondServer) 
                {
                    if(file_exists("infos.xml") && filemtime("infos.xml") < (time()-10)) 
                    {
                        getMapInfoFile($ServerIP,$ServerPort,$AccessCode,$TimeOut);
                    }
                }
                $Server = simplexml_load_file('infos.xml');
                if(isset($Server) && $Server != "" && $Server->state['pause'] != "") 
                {
                    $hour = floor($Server->state['time']/3600000);
                    if($hour < 10) {
                        $hour = "0".$hour;
                    }
                    $minute = floor((($Server->state['time']/3600000)-$hour)*60);
                    if($minute < 10) {
                        $minute = "0".$minute;
                    }
                    if(isset($_GET['state'])) {
                        if($_GET['state'] == "1") {
                            addAllowedIcon("G");
                        } elseif($_GET['state'] == "2") {
                            addAllowedIcon("B");
                        } elseif($_GET['state'] == "3") {
                            addAllowedIcon("O");
                        } elseif($_GET['state'] == "5") {
                            addAllowedIcon("R");
                        } else {
                            addAllowedIcon("Y");
                        }
                    }
                    $zoomOut = "";
                    if(isset($_GET['zoom']) && is_numeric($_GET['zoom'])) {
                        if(($HeightAndWidth*$_GET['zoom']) <= 405)
                        {
                            $zoomOut = "D";
                        }
                    }
                    $zoomIn = "";
                    if(isset($_GET['zoom']) && is_numeric($_GET['zoom'])) {
                        if($_GET['zoom'] >= 5)
                        {
                            $zoomIn = "D";
                        }
                    }
                    echo '
                        <div style="top:0;left:0px;float:left;">
                            <b><font color="#ffffff"><font size="4">'.$hour.':'.$minute.'Uhr</font></font></b>
                        </div>
                        <div style="top:0;right:0px;float:right;width:160px;margin-right:2px" align="right">
                            <b><font color="#ffffff"><font size="4">'.$Server->state['players'].'/'.$Server->state['capacity'].' Spieler Online</font></font></b>
                        </div>
                        <div style="position:fixed;top:30px;left:0px;float:left;margin-left:2px;" align="left">
                            <img src="Style/Icons/ZoomIn'.$zoomIn.'.png" onClick="ZoomIn();" width="20px" height="20px" title="Zoom +"/><br>
                            <img src="Style/Icons/ZoomOut'.$zoomOut.'.png" onClick="ZoomOut();" width="20px" height="20px" title="Zoom -"/><br>
                            <img src="Style/Icons/Settings.png" onClick="openSettings();" width="20px" height="20px" title="Einstellungen"/>
                        </div>
                        
                    ';
                    if($Server->state['online'] == "true" && $Server->state['pause'] == "false") 
                    {
                        for($i=0,$size=count($Server);$i<$size;$i++)
                        {
                            if($Server->info[$i]['x'] != "" && $Server->info[$i]['y'] != "" && isIconAllowed(getVehicleIconNameOnly($Server->info[$i]['type'])) && $Server->info[$i]['type'] != "cart") 
                            {
                                $name = $Server->info[$i]['name'];
                                $type = $Server->info[$i]['type'];
                                $x = $Server->info[$i]['x'];
                                $y = $Server->info[$i]['y'];
                                $controller = "";
                                $style = "";
                                if($Server->info[$i]['controller'] != "" and $Server->info[$i]['controller'] != "Unknown" and $Server->info[$i]['controller'] != "nil")
                                {
                                    $controller = "<br>Fahrer: ".$Server->info[$i]['controller'];
                                    $style = "border-width:1px;border-style:solid;border-color:red;";
                                }
                                echo '
                                <a title="Name: '.$name.'<br>Type: '.getVehicleType($type).''.$controller.'<br>X: '.$x.'<br>Y: '.$y.'">
                                    <div class="Marker" style="'.getVehicleIcon($type).''.$style.'left:'.(($xx*($x+(2048/2)))-7).'px;top:'.(($yy*($y+(2048/2)))-7).'px;">
                                    </div>
                                </a>';
                            } elseif(!isIconAllowed(getVehicleIconNameOnly($Server->info[$i]['type']))) {
                                if(isset($Server->info[$i]['controller']) && $Server->info[$i]['controller'] != "") {
                                    if($AllowedIcon["R"] == "1") {
                                        $x = $Server->info[$i]['x'];
                                        $y = $Server->info[$i]['y'];
                                        echo '
                                        <a title="Name: '.$Server->info[$i]['controller'].'<br>Type: Spieler<br>X: '.$x.'<br>Y: '.$y.'">
                                            <div class="Marker" style="'.getVehicleIcon("Spieler").'left:'.(($xx*($x+(2048/2)))-7).'px;top:'.(($yy*($y+(2048/2)))-7).'px;">
                                            </div>
                                        </a>';
                                    }
                                }
                            }
                        }
                    } else {
                        if($Server->state['pause'] == "true") {
                            echo "<center><font color='#ff0000'><b><font size='5'>!Spiel angehalten!</font></b></font></center>";
                        } else {
                            echo "<center><font color='#ff0000'><b><font size='5'>!Server Offline!</font></b></font></center>";
                        }
                    }
                } else {
                    echo "<div style=\"top:0;right:0px;float:right;width:100%;margin-right:2px\" align=\"right\">
                        <center><font color='#ff0000'><b><font size='5'>!Server Offline oder angehalten!</font></b></font></center>
                    </div>";
                }
            ?>
            <div id="Copyright">
                <font size="1">
                Version 1.0.1<br>
                Map Image by GIANTS Software<br>
                </font>
                Copyright 2013 by <a href="http://www.Alex2009.de" target="_blank">Alex2009</a>
            </div>
        </div>
    </body>
</html>